Bug 1087961 - ocaml-obuild does not build reproducibly
ocaml-obuild does not build reproducibly
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
All openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Andy Li
E-mail List
:
Depends on:
Blocks: 1041090
  Show dependency treegraph
 
Reported: 2018-04-03 19:24 UTC by Bernhard Wiedemann
Modified: 2019-03-23 23:12 UTC (History)
3 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2018-04-03 19:24:43 UTC
/usr/bin/obuild and /usr/bin/obuild-simple
have variations in assembler output
that go away when /home/abuild/BUILD is on a 'disorderfs'
sorting filesystem.

Such effects have been observed in other packages when .o files were linked together in (random) filesystem order
Comment 1 Andy Li 2018-04-04 06:48:45 UTC
Forwarded to upstream: https://github.com/ocaml-obuild/obuild/issues/175
Comment 2 Swamp Workflow Management 2019-03-21 13:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1087961) was mentioned in
https://build.opensuse.org/request/show/687319 Factory / ocaml-obuild
Comment 3 Andy Li 2019-03-23 23:12:17 UTC
I've fixed this by applying a patch that has also been accepted by the upstream. obuild now sort the result of readdir calls.